import { jsx } from "react/jsx-runtime";
import { TokenGRS as TokenGRS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGRS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GRS", "data-name": "TokenGRS", ...props, children: /* @__PURE__ */ jsx(TokenGRS$1, { variant }) });
  }
);
TokenGRS.displayName = "TokenGRS";
Object.assign(TokenGRS, { isGdsIcon: true });
export {
  TokenGRS
};
